Skip to main content
`Ctrl`+`K`

# PetscDrawBarSetData

Set the data for a bar graph

## Synopsis

    #include "petscdraw.h"
    #include "petscviewer.h"
    PetscErrorCode PetscDrawBarSetData(PetscDrawBar bar, PetscInt bins, const PetscReal data[], const char *const labels[])

Logically Collective

## Input Parameters

- bar - The bar graph context.

- bins - number of items

- data - values of each item

- labels - optional label for each bar, `NULL` terminated array of strings

## Notes

Call `PetscDrawBarDraw()` after this call to display the new plot

The data is ignored on all MPI processes except rank zero

## See Also

`PetscDrawBar`, `PetscDrawBarCreate()`, `PetscDrawBarDraw()`

## Level

intermediate

## Location

src/sys/classes/draw/utils/bars.c

Index of all Draw routines
Table of Contents for all manual pages
Index of all manual pages